ARG GOLANG_VERSION=1.23
ARG BUILDARGS
ARG GITLAB_PROXY

FROM ${GITLAB_PROXY}golang:$GOLANG_VERSION-bookworm AS builder

WORKDIR /gosdn

COPY . .

RUN make build-inventory-manager

FROM ${GITLAB_PROXY}debian:12
COPY --from=builder /gosdn/artifacts/inventory-manager /inventory-manager

ENTRYPOINT ["/inventory-manager"]
